from common.ACKServiceTypeMain import ACKServiceType
from common.AICloudResponseMain import AICloudResponse
from common.InstanceTypeMain import InstanceType


class DescribeACKServiceTypesResponse(AICloudResponse):
    def __init__(self, dictionary):
        self.data = list[ACKServiceType]()
        AICloudResponse.__init__(self, dictionary)
        for key, val in dict(dictionary).items():
            if key == 'data':
                for _v in list(val):
                    self.data.append(ACKServiceType(_v))
