from common.BaseRequestMain import BaseRequest
from common.enums.BillingTypeEnum import BillingTypeEnum
from common.enums.StoppedModeEnum import StoppedModeEnum


class StopServicesRequest(BaseRequest):
    zoneCode: str = None
    serviceUuids: list[str] = None
    saveEnv: bool = True
    stoppedMode: StoppedModeEnum = None

    def __init__(self, *args, **kwargs):
        super(StopServicesRequest, self).__init__(*args, **kwargs)

    def __getattr__(self, item):
        return self[item]
