from common.ACKCI import ACKCI
from common.ACKServiceTypeMain import ACKServiceType
from common.BaseACKResourceMain import BaseACKResource


class ACKCS(BaseACKResource):
    image: ACKCI = None
    operatingSystem: str = None
    instanceType: ACKServiceType = None
    serviceStatus: str = None
    serviceUuid:str = None

    def __init__(self, dictionary: dict):
        self.image = ACKCI(dictionary.get("image", None))
        self.operatingSystem = dictionary.get("operatingSystem", None)
        self.instanceType = ACKServiceType(dictionary.get("instanceType", None))
        self.serviceStatus = dictionary.get("serviceStatus", None)
        self.serviceUuid = dictionary.get("serviceUuid",None)

    def __getattr__(self, item):
        return self[item]
