from common.ACKCSTensorBoardMain import ACKCSTensorBoard


class ACKCSTensorBoards(dict):
    tensorboards: list[ACKCSTensorBoard] = None

    def __init__(self, dictionary):
        rows: list[ACKCSTensorBoard] = list()
        tensorboards = dictionary.get("tensorboards")
        for tensorboard in tensorboards:
            rows.append(ACKCSTensorBoard(tensorboard))
        self.tensorboards = rows

    def __getattr__(self, item):
        return self[item]
