from common.ACKVolumeTypeMain import ACKVolumeType
from common.BaseACKResourceMain import BaseACKResource


class ACKCV(BaseACKResource):
    volumeType: ACKVolumeType = None
    defaultMountPath: str = None
    volumeName: str = None
    volumeResourceType: str = None
    volumeStatus: str = None
    volumeUuid: str = None
    volumeSize: int = None

    def __init__(self, dictionary: dict):
        self.volumeType = ACKVolumeType(dictionary.get("volumeType", None))
        self.defaultMountPath = dictionary.get("defaultMountPath", None)
        self.volumeName = dictionary.get("volumeName", None)
        self.volumeResourceType = dictionary.get("volumeResourceType", None)
        self.volumeStatus = dictionary.get("volumeStatus", None)
        self.volumeUuid = dictionary.get("volumeUuid", None)
        self.volumeSize = dictionary.get("volumeSize", None)

    def __getattr__(self, item):
        return self[item]
