from typing import Generic, TypeVar, Optional, Callable, Any


class AICloudResponse(object):
    code: int = None
    message: str = None

    def __init__(self, dictionary: dict):
        if dictionary is not None:
            self.code = dictionary.get("code", None)
            self.message = dictionary.get("message", None)

            for key, val in dictionary.items():
                if key != 'data':
                    setattr(self, key, val)

    def __getattr__(self, item):
        return self[item]
