from common.DiskTypeMain import DiskType
from common.MinorCloudResource import MinorCloudResource


class EBS(MinorCloudResource):
    diskSize: int = None
    attr: str = None
    operatingSystem: str = None
    diskType: DiskType = None

    def __init__(self, dictionary: dict):
        super(EBS, self).__init__(dictionary)

        self.diskSize = dictionary.get("diskSize", None)
        self.attr = dictionary.get("attr", None)
        self.operatingSystem = dictionary.get("operatingSystem", None)
        self.diskType = DiskType(dictionary.get("diskType", None))

    def __getattr__(self, item):
        return self[item]
