from common.MinorCloudResource import MinorCloudResource
from common.NetworkTypeMain import NetworkType


class EIP(MinorCloudResource):
    networkSize: int = None
    ip: str = None
    networkType: NetworkType = None

    def __init__(self, dictionary: dict):
        super(EIP, self).__init__(dictionary)

        if dictionary is not None:
            self.networkSize = dictionary.get("networkSize", None)
            self.ip = dictionary.get("ip", None)
            self.networkType = NetworkType(dictionary.get("networkType", None))

    def __getattr__(self, item):
        return self[item]
