from common.ZoneMain import Zone


class Image(object):
    zone: Zone = None
    imageId: str = None
    imageName: str = None
    imageType: str = None
    imageOs: str = None
    imageVersion: str = None
    imageArch: str = None
    imageDesc: str = None
    minDiskSize: int = None
    vhostType: str = None

    def __init__(self, dictionary: dict):
        if dictionary is not None:
            self.zone = Zone(dictionary.get("zone", None))
            self.imageId = dictionary.get("imageId", None)
            self.imageName = dictionary.get("imageName", None)
            self.imageType = dictionary.get("imageType", None)
            self.imageOs = dictionary.get("imageOs", None)
            self.imageVersion = dictionary.get("imageVersion", None)
            self.imageArch = dictionary.get("imageArch", None)
            self.imageDesc = dictionary.get("imageDesc", None)
            self.minDiskSize = dictionary.get("minDiskSize", None)
            self.vhostType = dictionary.get("vhostType", None)

    def __getattr__(self, item):
        return self[item]
