import decimal


class InquiryPriceItem(dict):
    resourceType: str = None
    subResourceType: str = None
    attr: list[str] = None
    size: int = None
    originPrice: decimal = None

    def __init__(self, dictionary: dict):
        if dictionary is not None:
            self.resourceType = dictionary.get("resourceType", None)
            self.subResourceType = dictionary.get("subResourceType", None)
            self.attr = dictionary.get("attr", None)
            self.size = dictionary.get("size", None)
            self.originPrice = dictionary.get("originPrice", None)

    def __getattr__(self, item):
        return self[item]
