from common.ZoneMain import Zone


class InstanceType(object):
    zone: Zone = None
    vhostModel: str = None
    vhostType: str = None
    vhostCpus: int = None
    vhostMemory: int = None
    vhostGpus: float = None
    vhostGpumem: int = None
    rootDiskTypes: list[str] = None

    def __init__(self, dictionary: dict):
        if dictionary is not None:
            self.zone = Zone(dictionary.get("zone", None))
            self.vhostModel = dictionary.get("vhostModel", None)
            self.vhostType = dictionary.get("vhostType", None)
            self.vhostCpus = dictionary.get("vhostCpus", None)
            self.vhostMemory = dictionary.get("vhostMemory", None)
            self.vhostGpus = dictionary.get("vhostGpus", None)
            self.vhostGpumem = dictionary.get("vhostGpumem", None)
            self.rootDiskTypes = dictionary.get("rootDiskTypes",None)
