from datetime import datetime

from common.ZoneMain import Zone


class Key(object):
    accessKey: str = None
    accessSecret: str = None
    createdTime: datetime = None
    updatedTime: datetime = None
    status: str = None

    def __init__(self, dictionary: dict):
        if dictionary is not None:
            self.accessKey = dictionary.get("accessKey", None)
            self.accessSecret = dictionary.get("accessSecret", None)
            self.createdTime = dictionary.get("createdTime", None)
            self.updatedTime = dictionary.get("updateTime", None)
            self.status = dictionary.get("status", None)

    def __getattr__(self, item):
        return self[item]
