ENCODING = "utf-8"
SDK_NAME = "aicloud-sdk-python"
# 并行AI智算云基本访问域名
AICLOUD_BASEURL = "ai.blsc.cn"
# 并行AI智算云服务类型
REGION_SERVICE = "region"
PRODUCT_SERVICE = "product"
ACK_PRODUCT_SERVICE = "ack_product"
ECS_SERVICE = "ecs"
EBS_SERVICE = "ebs"
EIP_SERVICE = "eip"
JOB_SERVICE = "job"
ACK_JOB_SERVICE = "ack_job"
KEY_SERVICE = "key"
ACKCS_SERVICE = "ackcs"
ACKCV_SERVICE = "ackcv"
ACKCI_SERVICE = "ackci"

# 公共请求参数
X_AIC_VERSION = "X-AIC-Version"
X_AIC_VERSION_L = "x-aic-version"
X_AIC_ACTION = "X-AIC-Action"
X_AIC_ACTION_L = "x-aic-action"
X_AIC_REGION = "X-AIC-Region"
X_AIC_REGION_L = "x-aic-region"
X_AIC_TIMESTAMP = "X-AIC-Timestamp"
X_AIC_TIMESTAMP_L = "x-aic-timestamp"
X_AIC_ACCESSKEY = "X-AIC-Accesskey"
X_AIC_ACCESSKEY_L = "x-aic-accesskey"
X_AIC_METHOD = "X-AIC-Method"
X_AIC_METHOD_L = "x-aic-method"
X_AIC_SERVICE = "X-AIC-Service"
X_AIC_SERVICE_L = "x-aic-service"
X_AIC_SCOPE = "X-AIC-Scope"
X_AIC_SCOPE_L = "x-aic-scope"
X_AIC_SIGNED_HEADERS = "X-AIC-Signedheaders"
X_AIC_SIGNED_HEADERS_L = "x-aic-signedheaders"
X_AIC_SIGNATURE = "X-AIC-Signature"
X_AIC_SIGNATURE_L = "x-aic-signature"
X_AIC_LANGUAGE = "X-AIC-Language"
X_AIC_LANGUAGE_L = "x-aic-language"
X_AIC_USERID = "X-AIC-Userid"
X_AIC_USERID_L = "x-aic-userid"
X_AIC_CONTENT_TYPE = "Content-Type"
X_AIC_CONTENT_TYPE_L = "content-type"
X_AIC_PARTNER_NAME = "X-AIC-Partnername"
X_AIC_PARTNER_NAME_L = "x-aic-partnername"
X_AIC_PARTNER_ACCESSKEY = "X-AIC-Partnerkey"
X_AIC_PARTNER_ACCESSKEY_L = "x-aic-partnerkey"
X_AIC_PARTNER_IP = "X-AIC-Partnerip"
X_AIC_PARTNER_IP_L = "x-aic-partnerip"

# 签名需要用到的静态信息
VERSION = "V3"
SIGNATURE = "Signature"
SIGNATURE_METHOD_VALUE = "HmacSHA256"
URL_ENCODER_FORMAT = "%s=%s"
ENCODING = "utf-8"
STRING_SEPARATOR = '\n'
PARAMETER_SEPARATOR = "&"
SIGNING_STRING = "BC_SIGNATURE&"
MIN_HEADER_LIST = "content-type;host"
