import binascii
import re


def validPassword(rawPassword: str) -> bool:
    regExp: str = "^(?=.*\d)(?=.*[a-z])(?=.*[A-Z])(?=.*[0-9])(?=.*[@$.?])[\da-zA-Z0-9@$.?]{12,16}$"
    matches = re.match(regExp, rawPassword, flags=0)
    saltStr: str = "@$.?"

    num: int = 0
    for c in rawPassword:
        if saltStr.__contains__(c):
            num += 1

    return matches and num <= 3


def fromHex(password: str) -> str:
    tmp = binascii.unhexlify(password)
    return tmp.decode('utf-8')


def toHex(rawPassword: str) -> str:
    return rawPassword.encode('utf-8').hex()


if __name__ == "__main__":
    hexPassword = "3165666e50492e67464e616c49614155"

    rawPassword = fromHex(hexPassword)
    print(rawPassword)

    ret = validPassword(rawPassword)
    print(ret)

    hexPassword2 = toHex(rawPassword)
    print(hexPassword2)
