from common.BaseRequestMain import BaseRequest
from common.enums.BillingTypeEnum import BillingTypeEnum


class CreateDisksRequest(BaseRequest):
    aliasName: str = None
    diskType: str = None
    diskSize: int = None
    ecsUuid: str = None
    billingType: BillingTypeEnum = None
    payPeriod: int = None
    autoContinue: bool = False
    snapUuid: str = None

    def __init__(self, *args, **kwargs):
        super(CreateDisksRequest, self).__init__(*args, **kwargs)

    def __getattr__(self, item):
        return self[item]
