from common.BaseRequestMain import BaseRequest
from common.enums.StopTypeEnum import StopTypeEnum
from common.enums.StoppedModeEnum import StoppedModeEnum


class StopInstancesRequest(BaseRequest):
    ecsUuids: list[str] = None
    stopType: StopTypeEnum = None
    stoppedMode: StoppedModeEnum = None
    releaseEip: bool = None

    def __init__(self, *args, **kwargs):
        super(StopInstancesRequest, self).__init__(*args, **kwargs)

    def __getattr__(self, item):
        return self[item]
