from common.ACKVolumeTypeMain import ACKVolumeType
from common.AICloudResponseMain import AICloudResponse
from common.DiskTypeMain import DiskType


class DescribeACKVolumeTypesResponse(AICloudResponse):
    def __init__(self, dictionary):
        self.data = list[ACKVolumeType]()
        AICloudResponse.__init__(self, dictionary)
        for key, val in dict(dictionary).items():
            if key == 'data':
                for _v in list(val):
                    self.data.append(ACKVolumeType(_v))
