from common.BaseRequestMain import BaseRequest
from common.enums.BillingTypeEnum import BillingTypeEnum


class DescribeImagesRequest(BaseRequest):
    zoneCode: str = None
    aliasName: str = None
    imageUuid: str = None
    pageNum: int = 1
    pageSize: int = 200

    def __init__(self, *args, **kwargs):
        super(DescribeImagesRequest, self).__init__(*args, **kwargs)

    def __getattr__(self, item):
        return self[item]
