from common.BaseRequestMain import BaseRequest
from common.enums.BillingTypeEnum import BillingTypeEnum


class CreateServicesRequest(BaseRequest):
    zoneCode: str = None
    aliasName: str = None
    autoContinue: bool = None
    billingType: BillingTypeEnum = None
    count: int = None
    imageUuid: str = None
    payPeriod: int = None
    serviceModel: str = None

    def __init__(self, *args, **kwargs):
        super(CreateServicesRequest, self).__init__(*args, **kwargs)

    def __getattr__(self, item):
        return self[item]
