from common.BaseRequestMain import BaseRequest
from common.enums.BillingTypeEnum import BillingTypeEnum


class DescribeServicesRequest(BaseRequest):
    zoneCode: str = None
    aliasName: str = None
    serviceUuid: str = None
    billingType: BillingTypeEnum = None
    serviceStatus: str = None
    serviceType: str = None
    pageNum: int = 1
    pageSize: int = 200

    def __init__(self, *args, **kwargs):
        super(DescribeServicesRequest, self).__init__(*args, **kwargs)

    def __getattr__(self, item):
        return self[item]
