from unittest import TestCase

from common.exception.AICloudExceptionMain import AICloudException


class TestAICloudException(TestCase):
    def test_not_catch_AICloudException(self):
        raise AICloudException(500, "Dc2NotFound")

    def test_catch_AICloudException(self):
        return None

    def test_catch_OtherException(self):
        try:
            self.throwException()
        except Exception as e:
            exp = AICloudException(e)
            print(exp)

    def test_catch_newException(self):
        try:
            self.throwException()
        except Exception as e:
            exp = AICloudException(e.args)
            print(exp)


    def throwException(self):
        raise Exception("other Exception")